| All Verbs | /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser | ||
|---|---|---|---|
| All Verbs | /RestApi/GetDashboardPermissionsForUser |
namespace Telerik.Sitefinity.Analytics.Server.Core.Domain.Model
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type GetDashboardPermissionsForUserMessage() =
member val UserName:String = null with get,set
member val UserId:Guid = new Guid() with get,set
member val SiteId:Guid = new Guid() with get,set
[<DataContract>]
[<AllowNullLiteral>]
type DashboardPermission() =
[<DataMember>]
member val DashboardId:Guid = new Guid() with get,set
[<DataMember>]
member val CanView:Boolean = new Boolean() with get,set
[<AllowNullLiteral>]
type GetDashboardPermissionsForUserData() =
member val Permissions:ResizeArray<DashboardPermission> = new ResizeArray<DashboardPermission>() with get,set
member val IsAdmin:Boolean = new Boolean() with get,set
member val IsAdminRole:Boolean = new Boolean() with get,set
F# GetDashboardPermissionsForUserMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetDashboardPermissionsForUserMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
<UserId>00000000-0000-0000-0000-000000000000</UserId>
<UserName>String</UserName>
</GetDashboardPermissionsForUserMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetDashboardPermissionsForUserData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<IsAdmin>false</IsAdmin>
<IsAdminRole>false</IsAdminRole>
<Permissions xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.Model">
<d2p1:DashboardPermission>
<d2p1:CanView>false</d2p1:CanView>
<d2p1:DashboardId>00000000-0000-0000-0000-000000000000</d2p1:DashboardId>
</d2p1:DashboardPermission>
</Permissions>
</GetDashboardPermissionsForUserData>